package svc

import (
	"applet/app/db"
	"applet/app/e"
	"applet/app/utils"
	"github.com/gin-gonic/gin"
)

func MarkRecord(c *gin.Context) {
	var args map[string]string
	if err := c.ShouldBindJSON(&args); err != nil {
		e.OutErr(c, e.ERR_INVALID_ARGS, err)
		return
	}
	eg := db.Db
	list, total := db.GetOrderGoodsDoingList(eg, args)
	data := make([]map[string]string, 0)
	if list != nil {
		stateArr := []string{"待制作", "制作中", "制作完成", "烘焙完成", "分拣完成", "已取消"}
		enterpriseIds := make([]int, 0)
		adminIds := make([]int, 0)
		for _, v := range *list {
			enterpriseIds = append(enterpriseIds, v.EnterpriseId)
			adminIds = append(adminIds, v.AdminId)
		}
		enterpriseMap := db.GetEnterpriseMore(eg, enterpriseIds)
		adminMap := db.GetAdminMore(eg, adminIds)

		for _, v := range *list {
			enterpriseName := ""
			adminName := ""
			_, ok := enterpriseMap[v.EnterpriseId]
			if ok {
				enterpriseName = enterpriseMap[v.EnterpriseId].Name
			}
			_, ok1 := adminMap[v.AdminId]
			if ok1 {
				adminName = adminMap[v.AdminId].Memo
			}
			var tmp = map[string]string{
				"oid":             utils.Int64ToStr(v.Oid),
				"id":              utils.IntToStr(v.Id),
				"state_str":       stateArr[v.State],
				"state":           utils.IntToStr(v.State),
				"time":            v.Time.Format("2006-01-02 15:04:05"),
				"enterprise_name": enterpriseName,
				"sku_str":         v.Sku,
				"goods_title":     v.GoodsTitle,
				"memo":            v.Memo,
				"admin_name":      adminName,
				"num":             utils.IntToStr(v.Num),
				"success_num":     utils.IntToStr(v.SuccessNum),
			}
			data = append(data, tmp)
		}
	}

	res := map[string]interface{}{
		"total": total,
		"list":  data,
	}
	e.OutSuc(c, res, nil)
	return
}
func MarkRecordFlow(c *gin.Context) {

}
